Baro 0 Problem

#1

Hello,
I’m using latest master of PX4 on Intel Aero and I have a strange problem.
Preflight fail: no valid data from baro 0” message is reported.
Sometimes it reports that no mag 0 initialized.
I think It is not hardware problem, because previous versions working fine.
I’m tried v1.6.5 and v1.8.0 with no problems.

Here is the sensors status report:
nsh> sensors status
INFO [sensors] gyro status:
INFO [ecl/validation] validator: best: 0, prev best: 0, failsafe: NO (0 events)
INFO [ecl/validation] sensor #0, prio: 99, state: OK
INFO [ecl/validation] val: -0.0025, lp: 0.0004 mean dev: 0.0001 RMS: 0.0024 conf: 1.0000
INFO [ecl/validation] val: 0.0038, lp: 0.0004 mean dev: 0.0000 RMS: 0.0016 conf: 1.0000
INFO [ecl/validation] val: 0.0001, lp: -0.0002 mean dev: -0.0000 RMS: 0.0011 conf: 1.0000
INFO [sensors] accel status:
INFO [ecl/validation] validator: best: 0, prev best: 0, failsafe: NO (0 events)
INFO [ecl/validation] sensor #0, prio: 99, state: OK
INFO [ecl/validation] val: -0.9673, lp: -0.9767 mean dev: -0.0006 RMS: 0.0124 conf: 1.0000
INFO [ecl/validation] val: -0.0926, lp: -0.1564 mean dev: 0.0001 RMS: 0.0404 conf: 1.0000
INFO [ecl/validation] val: -9.7205, lp: -9.7339 mean dev: -0.0017 RMS: 0.0245 conf: 1.0000
INFO [sensors] mag status:
INFO [ecl/validation] validator: best: 0, prev best: 0, failsafe: NO (0 events)
INFO [ecl/validation] sensor #0, prio: 255, state: OK
INFO [ecl/validation] val: 0.0078, lp: 0.0086 mean dev: 0.0000 RMS: 0.0019 conf: 1.0000
INFO [ecl/validation] val: -0.2425, lp: -0.2429 mean dev: -0.0000 RMS: 0.0165 conf: 1.0000
INFO [ecl/validation] val: 0.2499, lp: 0.2491 mean dev: -0.0000 RMS: 0.0091 conf: 1.0000
INFO [sensors] baro status:
INFO [ecl/validation] validator: best: -1, prev best: -1, failsafe: NO (0 events)
INFO [sensors] Temperature Compensation:
INFO [sensors] gyro: enabled: 0
INFO [sensors] accel: enabled: 0
INFO [sensors] baro: enabled: 0
INFO [sensors] Airspeed status:
INFO [ecl/validation] no data

Best Regards

#2

Bump. I am having the very same problem.

#3

I
have this version working good for me:

FW git-hash: 71f73adf6209a1138227d372f8c2090b64591639
FW version: 1.9.0 40 (17367104)
FW git-branch: master

#4

I have the same problem. It came up out of nowhere.
I have tried different versions 1.7.4 , 1.8.0
still the same result.
I couldn’t try the version @EvgenyAltshuler specified due to cmake errors.
Is there a another way to solve this problem?